/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreatePlaybookRunFromDialogRequest {
    #[serde(rename = "type", skip_serializing_if = "Option::is_none")]
    pub r#type: Option<String>,
    #[serde(rename = "url", skip_serializing_if = "Option::is_none")]
    pub url: Option<String>,
    /// Callback ID provided by the integration.
    #[serde(rename = "callback_id", skip_serializing_if = "Option::is_none")]
    pub callback_id: Option<String>,
    /// Stringified JSON with the post_id and the client_id.
    #[serde(rename = "state", skip_serializing_if = "Option::is_none")]
    pub state: Option<String>,
    /// ID of the user who submitted the dialog.
    #[serde(rename = "user_id", skip_serializing_if = "Option::is_none")]
    pub user_id: Option<String>,
    /// ID of the channel the user was in when submitting the dialog.
    #[serde(rename = "channel_id", skip_serializing_if = "Option::is_none")]
    pub channel_id: Option<String>,
    /// ID of the team the user was on when submitting the dialog.
    #[serde(rename = "team_id", skip_serializing_if = "Option::is_none")]
    pub team_id: Option<String>,
    #[serde(rename = "submission", skip_serializing_if = "Option::is_none")]
    pub submission: Option<Box<crate::openapi::models::CreatePlaybookRunFromDialogRequestSubmission>>,
    /// If the dialog was cancelled.
    #[serde(rename = "cancelled", skip_serializing_if = "Option::is_none")]
    pub cancelled: Option<bool>,
}

impl CreatePlaybookRunFromDialogRequest {
    pub fn new() -> CreatePlaybookRunFromDialogRequest {
        CreatePlaybookRunFromDialogRequest {
            r#type: None,
            url: None,
            callback_id: None,
            state: None,
            user_id: None,
            channel_id: None,
            team_id: None,
            submission: None,
            cancelled: None,
        }
    }
}
